<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"

      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">

    <body>

        <ui:composition template="../WEB-INF/template/Template.xhtml">

            <ui:define name="content">

                <p:fieldset legend="Agenda de Utilidades">
                    <p:panelGrid columns="2" id="painel">
                        <f:facet name="header">
                            Agendamento
                        </f:facet>
                        
                        <!-- <p:outputLabel value="Codigo:" for="codigo" />
                        <p:inputText id="codigo"  style="width: 40px" readonly="true" value="#{agendaBean.codigo}" /> -->
                        
                        <p:outputLabel value="Descrição:" for="descricao" />
                        <h:panelGroup >
                            <p:inputText id="descricao" required="true" value="#{agendaBean.agenda.descricao}" />
                            <p:message for="descricao" />
                        </h:panelGroup>
                                                                 
                        <p:outputLabel for="data" value="Data do Evento:" />
                            <p:calendar id="data" value="#{agendaBean.agenda.dataExecucao}" 
                                pattern="dd/MM/yyyy" timeZone="GMT-2" locale="pt"
                                required="true" requiredMessage="O campo Data Média para Execução é requerido." />
                    
                        <p:outputLabel for="tempo" value="Horário:" />
                            <p:calendar id="tempo" value="#{agendaBean.agenda.tempoExecucao}" 
                                pattern="HH:mm" timeOnly="true" 
                                timeZone="GMT-2" locale="pt"
                                required="true" requiredMessage="O campo Tempo Médio para Execução é requerido."  />
                    
                        <f:facet name="footer">
                            <p:commandButton value="Salvar" icon="fa fa-plus"  
                                             action="#{agendaBean.salvar}" update="growl,painel,tabela" />
                                <p:spacer width="20px" />
                            <p:commandButton value="Novo" icon="ui-icon-pencil"  
                                             action="#{agendaBean.novo}" immediate="true" update="painel"/>
                        </f:facet>                        
                        
                    </p:panelGrid>
                   
                </p:fieldset>

                <p:spacer height="20px" />

                <p:fieldset legend="Lista de Agendamento" >
                    <p:dataTable value="#{agendaBean.lista}" var="agenda" id="tabela" >
                        
                        <p:column headerText="Código" style="width: 80px; text-align: center">
                            <h:outputText value="#{agenda.id}" />
                        </p:column>
                        
                        <p:column headerText="Descrição">
                            <h:outputText value="#{agenda.descricao}" />
                        </p:column>
                        
                        <p:column headerText="Data d/Evento" style="text-align: center; width: 100px;" >
                            <h:outputText value="#{agenda.dataExecucao}"  >
                               <f:convertDateTime type="date" pattern="dd/MM/yyyy" timeZone="GMT-2" locale="pt"/>    
                            </h:outputText>
                        </p:column>
                    
                        <p:column headerText="Horário" style="text-align: center; width: 100px;" >
                            <h:outputText value="#{agenda.tempoExecucao}"  >
                                <f:convertDateTime type="date" pattern="hh:mm" timeZone="GMT-2" locale="pt"/>    
                            </h:outputText>
                        </p:column>
                        
                        <p:column style="width: 100px; text-align: center">

                            <p:commandButton  icon="ui-icon-pencil" title="Editar"  process="@this" update="painel">
                                <f:setPropertyActionListener target="#{agendaBean.agenda}" value="#{agenda}" />
                            </p:commandButton>

                            <p:commandButton icon="ui-icon-trash" title="Excluir" actionListener="#{agendaBean.excluir(agenda)}" process="@this" update="growl , tabela" immediate="true" >
                                <p:confirm header="Confirmação" message="Deseja realmente excluir?" icon="ui-icon-alert" />
                            </p:commandButton>

                            <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                                <p:commandButton value="Sim" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
                                <p:commandButton value="Não" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
                            </p:confirmDialog>

                        </p:column>

                    </p:dataTable>

                </p:fieldset>

            </ui:define>

        </ui:composition>

    </body>

</html>

